﻿body {
    font-family: Roboto, sans-serif !important;
    font-size: 16px;
    font-weight: 400;
    color: #505050;
    background: #870078;
}

img.logoheader {
    margin-left: auto;
    margin-right: auto;
    display: block;
    max-height: 54px;
    margin-top: 10px;
    max-width: 70%;
}

.logoMobile, .logoDesktop {
    margin-left: auto;
    margin-right: auto;
    height: 65px;
    width: auto;
    margin-bottom: 9px;
    filter: drop-shadow(3px 2px 4px #888888);
    margin-top: 15px;
}

.couponlist {
    margin-left: auto;
    margin-right: auto;
    display: flow;
    text-align: center;
}

.couponWrapper {
    background: white;
    width: 98%;
    padding-top: 10px;
    padding-bottom: 10px;
    border: 1px solid #aaaaaa;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 10px;
    max-width: 500px;
    display: inline-flex;
}

.expiredate {
    font-style: italic;
    font-size: 10pt;
    display: inline-block;
    padding-left: 10px;
    padding-right: 12px;
    color: black;
    background: white;
    font-weight: 700;
    border-radius: 10px;
    padding-top: 1px;
    padding-bottom: 2px;
    border: 1px solid #888888;
    margin-bottom: 20px;
}

.coupon {
    width: 95%;
    margin-left: auto;
    margin-right: auto;
    background: white;
}

.couponHeader {
    text-align: center;
    color: white;
    background: #000000;
    padding: 4px;
    font-weight: 600;
    text-transform: uppercase;
    margin-bottom: 1px;
    padding-top: 5px;
}


.couponImageWrapper img {
    width: 100%;
}

.couponImageWrapper {
    margin-bottom: 6px;
}

.couponTitle {
    font-size: 21pt;
    font-weight: bold;
    text-align: center;
    margin-bottom: 6px;
    margin-top: 15px;
    color: #000000;
}

.couponDescription {
    text-align: center;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}

.barcodeidentifier {
    font-weight: bold;
}

.barcodeWrapper {
    width: 80%;
    max-width: 210px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 15px;
    margin-bottom: 15px;
    padding: 15px;
    border-radius: 9px;
    padding-bottom: 10px;
    max-width: 90%;
}

.metadata {
    text-align: left;
    margin-top: 5px;
    font-size: 9pt;
    color: blue;
}

.novalidcoupons {
    margin-top: 100px;
    width: 187px;
    margin-left: auto;
    margin-right: auto;
    padding: 13px;
    font-size: 15pt;
    color: white;
    background: NONE;
    BORDER: 1px solid white;
}

.barcodeText {
    text-align: center;
    font-weight: bold;
    margin-top: 4px;
    font-size: 34pt;
    color: #0005ff;
    margin-top: 1px;
    margin-bottom: 11px;
    font-family: monospace;
}

img.qrcode,
img.barcode {
    width: 100%;
}

.barcodeerror {
    width: 100%;
    border: 1px solid;
    height: 200px;
    vertical-align: middle;
    display: table-cell;
    background: #ededed;
}

.barcodeerror .header {
    font-weight: bold;
    font-size: 12pt;
    color: #888888;
}

.barcodeerror .message {
    font-size: 10pt;
    margin-top: 6px;
    font-style: italic;
}

.instructionsWrapper {
    background: #f4f4f4;
    padding: 5px;
    margin-bottom: 17px;
    font-size: 11pt;
    border-radius: 5px;
}

.instructionsHeader {
    font-weight: 700;
    text-align: center;
    margin-bottom: 3px;
    text-decoration: underline;
}

.instructions {
    text-align: center;
    font-size: 10pt;
}


.rules {
    font-size: 9pt;
    font-style: italic;
    text-align: justify;
    line-height: 130%;
}

ul.codedesc {
    font-size: 9pt;
    text-align: left;
    width: 254px;
    text-indent: -2px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 0px;
    margin-top: -5px;
    color: blue;
    border: 1px dashed #aaaaaa;
    padding: 4px;
    padding-left: 25px;
}


li.codesummary {
    margin-bottom: 5px;
    list-style: none;
    margin-left: -13px;
    font-size: 10pt;
}

img.code128 {
    width: 100%;
    margin-top: 7px;
    margin-bottom: -4px;
}

span#lblLookup {
    color: white;
    width: 90%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

span.callout {
    color: red;
}

input#fldLookup {
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    display: block;
    font-size: 15pt;
    margin-top: 15px;
}

input#cmdLookup {
    display: block;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    font-size: 16pt;
    padding: 6px;
    padding-left: 20px;
    padding-right: 20px;
    margin-top: 10px;
}

.checkrow {
    text-align: center;
    margin-bottom: 12px;
    margin-top: 15px;
    color: white;
    font-weight: bold;
    text-shadow: 1px 1px 3px #000;
}

.nocouponsavailable {
    color: white;
    display: block;
    margin-top: 49px;
    font-size: 14pt;
    font-style: italic;
    text-shadow: 0px 0px 5px #000000;
    border: 1px inset #9c9c9c;
    text-align: center;
    padding: 19px;
    max-width: 80%;
    margin-left: auto;
    margin-right: auto;
    background: #777777;
    padding-top: 30px;
    padding-bottom: 30px;
}

@media screen and (max-width: 1000px) {
    img.logoheader {
        max-height: 40px;
    }
}

@media screen and (max-width: 350px) {

    .barcodeText {
        font-size: 22pt;
    }

    ul.codedesc {
        width: 85%;
        font-size: 8pt;
    }

    li.codesummary {
        font-size: 8pt;
    }

}